Bug 207382 - Amarok crash when trying to see context info (Qt 4.6.0)
Summary: Amarok crash when trying to see context info (Qt 4.6.0)
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: 2.3-GIT
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
: 207542 210245 211084 211189 211482 211716 211816 213040 214563 215772 266500 266531 266854 270871 279621 280216 285085 285594 286865 287066 292939 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-09-14 21:22 UTC by Anselmo L. S. Melo (anselmolsm)
Modified: 2012-02-09 21:23 UTC (History)
29 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments
New crash information added by DrKonqi (24.13 KB, text/plain)
2011-06-15 22:22 UTC, Dominic Lyons
Details
New crash information added by DrKonqi (31.55 KB, text/plain)
2012-02-07 00:16 UTC, Tristan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anselmo L. S. Melo (anselmolsm) 2009-09-14 21:22:04 UTC
Application: amarok (2.2-GIT)
KDE Version: 4.3.68 (KDE 4.3.68 (KDE 4.4 >= 20090907)) (Compiled from sources)
Qt Version: 4.6.0
Operating System: Linux 2.6.30-tuxonice-r5 i686
Distribution (Platform): Gentoo Packages

What I was doing when the application crashed:
I modified Amarok layout: I put together Context and Browser, so they apper as 2 tabs. While playing a track, if I click on context tab to see current track's info, Amarok crashes. I could reproduce it in everytime I tried with that layout configuration.

[this part was written after a new test]
Well, I changed the layout back to the default and the crash happens just a few seconds after a track starts playing.

I'm using the hash 33fcdc321f75bc4eabd07f97b1a8b77970386202 .

 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 0 (LWP 16559)]

Thread 41 (Thread 0xb102db70 (LWP 16561)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b472 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
#2  0xb676d0c4 in __pthread_cond_timedwait (cond=0x86a65f8, mutex=0x86a65e0, abstime=0xb102d328) at forward.c:152
#3  0xb11b516b in metronom_sync_loop (this=0x86a6598) at metronom.c:870
#4  0xb6637450 in start_thread (arg=0xb102db70) at pthread_create.c:297
#5  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 40 (Thread 0xb082cb70 (LWP 16562)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb6755927 in __poll (fds=0x8651790, nfds=1, timeout=37) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0xb4605d6c in IA__g_poll (fds=0x8651790, nfds=1, timeout=37) at gpoll.c:127
#3  0xb45f8655 in g_main_context_iterate (context=0x86a7e58, block=1, dispatch=1, self=0x8650fe8) at gmain.c:2768
#4  0xb45f8919 in IA__g_main_context_iteration (context=0x86a7e58, may_block=1) at gmain.c:2518
#5  0xb72ca717 in QEventDispatcherGlib::processEvents (this=0x86a81f8, flags={i = -1333607880}) at kernel/qeventdispatcher_glib.cpp:330
#6  0xb729c7ab in QEventLoop::processEvents (this=0xb082c2ac, flags={i = -1333607816}) at kernel/qeventloop.cpp:149
#7  0xb729cc0a in QEventLoop::exec (this=0xb082c2ac, flags={i = -1333607756}) at kernel/qeventloop.cpp:201
#8  0xb71993b9 in QThread::exec (this=0x86a7b40) at thread/qthread.cpp:487
#9  0xb120187a in Phonon::Xine::XineThread::run (this=0x86a7b40) at /home/anselmo/projects/kde/trunk/src/kdesupport/phonon/xine/xinethread.cpp:143
#10 0xb719c23f in QThreadPrivate::start (arg=0x86a7b40) at thread/qthread_unix.cpp:244
#11 0xb6637450 in start_thread (arg=0xb082cb70) at pthread_create.c:297
#12 0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 39 (Thread 0xb002bb70 (LWP 16565)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb6755927 in __poll (fds=0xb002b288, nfds=1, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0xb10e5227 in ao_alsa_handle_event_thread (data=0x86a86b8) at audio_alsa_out.c:150
#3  0xb6637450 in start_thread (arg=0xb002bb70) at pthread_create.c:297
#4  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 38 (Thread 0xaf7e8b70 (LWP 16566)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x86be198, mutex=0x86be180) at forward.c:139
#3  0xb11c428c in fifo_peek_int (fifo=0x86be178, blocking=1) at audio_out.c:348
#4  0xb11c5f57 in ao_loop (this_gen=0x86c1568) at audio_out.c:388
#5  0xb6637450 in start_thread (arg=0xaf7e8b70) at pthread_create.c:297
#6  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 37 (Thread 0xaefa5b70 (LWP 16567)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x87df3e8, mutex=0x87df3d0) at forward.c:139
#3  0xb11c428c in fifo_peek_int (fifo=0x87df3c8, blocking=1) at audio_out.c:348
#4  0xb11c5f57 in ao_loop (this_gen=0x87de768) at audio_out.c:388
#5  0xb6637450 in start_thread (arg=0xaefa5b70) at pthread_create.c:297
#6  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 36 (Thread 0xae762b70 (LWP 16568)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x86dceb0, mutex=0x86dce98) at forward.c:139
#3  0xb11c428c in fifo_peek_int (fifo=0x86dce90, blocking=1) at audio_out.c:348
#4  0xb11c5f57 in ao_loop (this_gen=0x86dc300) at audio_out.c:388
#5  0xb6637450 in start_thread (arg=0xae762b70) at pthread_create.c:297
#6  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 35 (Thread 0xad5cab70 (LWP 16570)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c2d4, mutex=0x8e4c2b0) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c2b0, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=0, message1=0xad5ca2f8, message2=0xad5ca2f4, type=0xad5ca2f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=0) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b120) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xad5cab70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 34 (Thread 0xac338b70 (LWP 16571)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c33c, mutex=0x8e4c318) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c318, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=1, message1=0xac3382f8, message2=0xac3382f4, type=0xac3382f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=1) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b124) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xac338b70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 33 (Thread 0xabb37b70 (LWP 16572)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c3a4, mutex=0x8e4c380) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c380, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=2, message1=0xabb372f8, message2=0xabb372f4, type=0xabb372f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=2) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b128) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xabb37b70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 32 (Thread 0xab336b70 (LWP 16573)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c40c, mutex=0x8e4c3e8) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c3e8, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=3, message1=0xab3362f8, message2=0xab3362f4, type=0xab3362f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=3) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b12c) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xab336b70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 31 (Thread 0xaab35b70 (LWP 16574)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c474, mutex=0x8e4c450) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c450, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=4, message1=0xaab352f8, message2=0xaab352f4, type=0xaab352f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=4) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b130) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xaab35b70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 30 (Thread 0xaa334b70 (LWP 16575)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c4dc, mutex=0x8e4c4b8) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c4b8, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=5, message1=0xaa3342f8, message2=0xaa3342f4, type=0xaa3342f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=5) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b134) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xaa334b70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 29 (Thread 0xa9b33b70 (LWP 16576)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c544, mutex=0x8e4c520) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c520, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=6, message1=0xa9b332f8, message2=0xa9b332f4, type=0xa9b332f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=6) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b138) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xa9b33b70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 28 (Thread 0xa9332b70 (LWP 16577)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c5ac, mutex=0x8e4c588) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c588, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=7, message1=0xa93322f8, message2=0xa93322f4, type=0xa93322f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=7) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b13c) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xa9332b70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 27 (Thread 0xa8b31b70 (LWP 16578)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c614, mutex=0x8e4c5f0) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c5f0, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=8, message1=0xa8b312f8, message2=0xa8b312f4, type=0xa8b312f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=8) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b140) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xa8b31b70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 26 (Thread 0xa8330b70 (LWP 16579)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c67c, mutex=0x8e4c658) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c658, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=9, message1=0xa83302f8, message2=0xa83302f4, type=0xa83302f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=9) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b144) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xa8330b70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 25 (Thread 0xa7b2fb70 (LWP 16580)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c6e4, mutex=0x8e4c6c0) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c6c0, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=10, message1=0xa7b2f2f8, message2=0xa7b2f2f4, type=0xa7b2f2f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=10) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b148) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xa7b2fb70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 24 (Thread 0xa732eb70 (LWP 16581)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c74c, mutex=0x8e4c728) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c728, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=11, message1=0xa732e2f8, message2=0xa732e2f4, type=0xa732e2f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=11) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b14c) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xa732eb70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 23 (Thread 0xa6b2db70 (LWP 16582)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c7b4, mutex=0x8e4c790) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c790, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=12, message1=0xa6b2d2f8, message2=0xa6b2d2f4, type=0xa6b2d2f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=12) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b150) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xa6b2db70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 22 (Thread 0xa632cb70 (LWP 16583)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c81c, mutex=0x8e4c7f8) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c7f8, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=13, message1=0xa632c2f8, message2=0xa632c2f4, type=0xa632c2f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=13) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b154) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xa632cb70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 21 (Thread 0xa5b2bb70 (LWP 16584)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c884, mutex=0x8e4c860) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c860, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=14, message1=0xa5b2b2f8, message2=0xa5b2b2f4, type=0xa5b2b2f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=14) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b158) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xa5b2bb70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 20 (Thread 0xa532ab70 (LWP 16585)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c8ec, mutex=0x8e4c8c8) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c8c8, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=15, message1=0xa532a2f8, message2=0xa532a2f4, type=0xa532a2f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=15) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b15c) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xa532ab70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 19 (Thread 0xa4b29b70 (LWP 16586)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c954, mutex=0x8e4c930) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c930, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=16, message1=0xa4b292f8, message2=0xa4b292f4, type=0xa4b292f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=16) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b160) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xa4b29b70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 18 (Thread 0xa4328b70 (LWP 16587)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8e4c9bc, mutex=0x8e4c998) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8e4c998, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ac930 in os_aio_simulated_handle (global_segment=17, message1=0xa43282f8, message2=0xa43282f4, type=0xa43282f0) at os/os0file.c:4217
#5  0xad96c965 in fil_aio_wait (segment=17) at fil/fil0fil.c:4153
#6  0xad9f60ee in io_handler_thread (arg=0xada3b164) at srv/srv0start.c:446
#7  0xb6637450 in start_thread (arg=0xa4328b70) at pthread_create.c:297
#8  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 17 (Thread 0xa2e97b70 (LWP 16589)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb6758ae1 in select () from /lib/libc.so.6
#2  0xad9a9e4b in os_thread_sleep (tm=0) at os/os0thread.c:274
#3  0xad9f20d0 in srv_lock_timeout_and_monitor_thread (arg=0x0) at srv/srv0srv.c:2190
#4  0xb6637450 in start_thread (arg=0xa2e97b70) at pthread_create.c:297
#5  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 16 (Thread 0xa2696b70 (LWP 16590)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb6758ae1 in select () from /lib/libc.so.6
#2  0xad9a9e4b in os_thread_sleep (tm=0) at os/os0thread.c:274
#3  0xad9eeb49 in srv_error_monitor_thread (arg=0x0) at srv/srv0srv.c:2414
#4  0xb6637450 in start_thread (arg=0xa2696b70) at pthread_create.c:297
#5  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 15 (Thread 0xa1e95b70 (LWP 16591)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x8a5633c, mutex=0x8a56318) at forward.c:139
#3  0xad9a995e in os_event_wait_low (event=0x8a56318, reset_sig_count=0) at os/os0sync.c:420
#4  0xad9ef248 in srv_master_thread (arg=0x0) at srv/srv0srv.c:3069
#5  0xb6637450 in start_thread (arg=0xa1e95b70) at pthread_create.c:297
#6  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 14 (Thread 0xa0a39b70 (LWP 16593)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x9440ee0, mutex=0x9440ec8) at forward.c:139
#3  0xb719d192 in QWaitCondition::wait (this=0x945c728, mutex=0x85593a8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb5c996a8 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x945c710, th=0x93a03c8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb5c9c40c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8564f80, th=0x93a03c8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb5c9829b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x945c710, th=0x93a03c8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb5c9c502 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8564f80, th=0x93a03c8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb5c99c33 in ThreadWeaver::WeaverImpl::applyForWork (this=0x945c710, th=0x93a03c8, previous=0x0) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb5c9c521 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8564f80, th=0x93a03c8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0xb5c99c33 in ThreadWeaver::WeaverImpl::applyForWork (this=0x945c710, th=0x93a03c8, previous=0x0) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0xb5c9c521 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8564f80, th=0x93a03c8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0xb5c99c33 in ThreadWeaver::WeaverImpl::applyForWork (this=0x945c710, th=0x93a03c8, previous=0x9490678) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#13 0xb5c9a51e in ThreadWeaver::ThreadRunHelper::run (this=0xa0a39300, parent=0x945c710, th=0x93a03c8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/Thread.cpp:87
#14 0xb5c9ab5b in ThreadWeaver::Thread::run (this=0x93a03c8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/Thread.cpp:142
#15 0xb719c23f in QThreadPrivate::start (arg=0x93a03c8) at thread/qthread_unix.cpp:244
#16 0xb6637450 in start_thread (arg=0xa0a39b70) at pthread_create.c:297
#17 0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 13 (Thread 0xa0238b70 (LWP 16595)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x946af18, mutex=0x946af00) at forward.c:139
#3  0xb719d192 in QWaitCondition::wait (this=0x946aa80, mutex=0x946aa7c, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb6ee529a in QFileInfoGatherer::run (this=0x946aa74) at dialogs/qfileinfogatherer.cpp:203
#5  0xb719c23f in QThreadPrivate::start (arg=0x946aa74) at thread/qthread_unix.cpp:244
#6  0xb6637450 in start_thread (arg=0xa0238b70) at pthread_create.c:297
#7  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 12 (Thread 0x9fa37b70 (LWP 16596)):
#0  0xb46973ea in clock_gettime (clock_id=1, tp=0x9fa37068) at ../sysdeps/unix/clock_gettime.c:100
#1  0xb72c77f3 in qt_gettime () at kernel/qcore_unix.cpp:109
#2  0xb72cc83c in QTimerInfoList::updateCurrentTime (this=0x94868bc) at kernel/qeventdispatcher_unix.cpp:340
#3  0xb72cc88a in QTimerInfoList::timerWait (this=0x94868bc, tm=@0x9fa370f4) at kernel/qeventdispatcher_unix.cpp:443
#4  0xb72ca932 in timerSourcePrepare (source=0xb469aff4, timeout=0x9fa37148) at kernel/qeventdispatcher_glib.cpp:141
#5  0xb45f809f in IA__g_main_context_prepare (context=0x94858f0, priority=0x9fa371b8) at gmain.c:2144
#6  0xb45f8465 in g_main_context_iterate (context=0x94858f0, block=1, dispatch=1, self=0x9486e38) at gmain.c:2435
#7  0xb45f8919 in IA__g_main_context_iteration (context=0x94858f0, may_block=1) at gmain.c:2518
#8  0xb72ca717 in QEventDispatcherGlib::processEvents (this=0x940fb08, flags={i = -1616678344}) at kernel/qeventdispatcher_glib.cpp:330
#9  0xb729c7ab in QEventLoop::processEvents (this=0x9fa372ac, flags={i = -1616678280}) at kernel/qeventloop.cpp:149
#10 0xb729cc0a in QEventLoop::exec (this=0x9fa372ac, flags={i = -1616678220}) at kernel/qeventloop.cpp:201
#11 0xb71993b9 in QThread::exec (this=0x946b580) at thread/qthread.cpp:487
#12 0xb727c7cc in QInotifyFileSystemWatcherEngine::run (this=0x946b580) at io/qfilesystemwatcher_inotify.cpp:248
#13 0xb719c23f in QThreadPrivate::start (arg=0x946b580) at thread/qthread_unix.cpp:244
#14 0xb6637450 in start_thread (arg=0x9fa37b70) at pthread_create.c:297
#15 0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 11 (Thread 0x9ede7b70 (LWP 16598)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x94166f0, mutex=0x94166d8) at forward.c:139
#3  0xb719d192 in QWaitCondition::wait (this=0x92f5578, mutex=0x92f5574, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb476ffba in QHostInfoAgent::run (this=0x92f5568) at kernel/qhostinfo.cpp:252
#5  0xb719c23f in QThreadPrivate::start (arg=0x92f5568) at thread/qthread_unix.cpp:244
#6  0xb6637450 in start_thread (arg=0x9ede7b70) at pthread_create.c:297
#7  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 10 (Thread 0x9df1db70 (LWP 16599)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x9440ee0, mutex=0x9440ec8) at forward.c:139
#3  0xb719d192 in QWaitCondition::wait (this=0x945c728, mutex=0x85593a8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb5c996a8 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x945c710, th=0x97f1ea8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb5c9c40c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8564f80, th=0x97f1ea8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb5c9829b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x945c710, th=0x97f1ea8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb5c9c502 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8564f80, th=0x97f1ea8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb5c99c33 in ThreadWeaver::WeaverImpl::applyForWork (this=0x945c710, th=0x97f1ea8, previous=0x0) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb5c9c521 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8564f80, th=0x97f1ea8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0xb5c99c33 in ThreadWeaver::WeaverImpl::applyForWork (this=0x945c710, th=0x97f1ea8, previous=0x0) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0xb5c9c521 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8564f80, th=0x97f1ea8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0xb5c99c33 in ThreadWeaver::WeaverImpl::applyForWork (this=0x945c710, th=0x97f1ea8, previous=0x0) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#13 0xb5c9c521 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8564f80, th=0x97f1ea8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#14 0xb5c99c33 in ThreadWeaver::WeaverImpl::applyForWork (this=0x945c710, th=0x97f1ea8, previous=0x0) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#15 0xb5c9c521 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8564f80, th=0x97f1ea8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#16 0xb5c99c33 in ThreadWeaver::WeaverImpl::applyForWork (this=0x945c710, th=0x97f1ea8, previous=0x0) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#17 0xb5c9c521 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8564f80, th=0x97f1ea8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#18 0xb5c99c33 in ThreadWeaver::WeaverImpl::applyForWork (this=0x945c710, th=0x97f1ea8, previous=0x0) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#19 0xb5c9c521 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8564f80, th=0x97f1ea8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#20 0xb5c99c33 in ThreadWeaver::WeaverImpl::applyForWork (this=0x945c710, th=0x97f1ea8, previous=0x0) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#21 0xb5c9c521 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8564f80, th=0x97f1ea8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#22 0xb5c99c33 in ThreadWeaver::WeaverImpl::applyForWork (this=0x945c710, th=0x97f1ea8, previous=0x0) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#23 0xb5c9c521 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8564f80, th=0x97f1ea8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#24 0xb5c99c33 in ThreadWeaver::WeaverImpl::applyForWork (this=0x945c710, th=0x97f1ea8, previous=0xd124790) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#25 0xb5c9a51e in ThreadWeaver::ThreadRunHelper::run (this=0x9df1d300, parent=0x945c710, th=0x97f1ea8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/Thread.cpp:87
#26 0xb5c9ab5b in ThreadWeaver::Thread::run (this=0x97f1ea8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/Thread.cpp:142
#27 0xb719c23f in QThreadPrivate::start (arg=0x97f1ea8) at thread/qthread_unix.cpp:244
#28 0xb6637450 in start_thread (arg=0x9df1db70) at pthread_create.c:297
#29 0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 9 (Thread 0x9cf1bb70 (LWP 16602)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x9440ee0, mutex=0x9440ec8) at forward.c:139
#3  0xb719d192 in QWaitCondition::wait (this=0x945c728, mutex=0x85593a8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb5c996a8 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x945c710, th=0x9962b70) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb5c9c40c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8564f80, th=0x9962b70) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb5c9829b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x945c710, th=0x9962b70) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb5c9c502 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8564f80, th=0x9962b70) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb5c99c33 in ThreadWeaver::WeaverImpl::applyForWork (this=0x945c710, th=0x9962b70, previous=0x0) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb5c9c521 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8564f80, th=0x9962b70) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0xb5c99c33 in ThreadWeaver::WeaverImpl::applyForWork (this=0x945c710, th=0x9962b70, previous=0xd1d5a68) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0xb5c9a51e in ThreadWeaver::ThreadRunHelper::run (this=0x9cf1b300, parent=0x945c710, th=0x9962b70) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/Thread.cpp:87
#12 0xb5c9ab5b in ThreadWeaver::Thread::run (this=0x9962b70) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/Thread.cpp:142
#13 0xb719c23f in QThreadPrivate::start (arg=0x9962b70) at thread/qthread_unix.cpp:244
#14 0xb6637450 in start_thread (arg=0x9cf1bb70) at pthread_create.c:297
#15 0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 8 (Thread 0x9c71ab70 (LWP 16603)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x9440ee0, mutex=0x9440ec8) at forward.c:139
#3  0xb719d192 in QWaitCondition::wait (this=0x945c728, mutex=0x85593a8, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb5c996a8 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x945c710, th=0x99632d8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#5  0xb5c9c40c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8564f80, th=0x99632d8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#6  0xb5c9829b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x945c710, th=0x99632d8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#7  0xb5c9c502 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8564f80, th=0x99632d8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb5c99c33 in ThreadWeaver::WeaverImpl::applyForWork (this=0x945c710, th=0x99632d8, previous=0xd18e768) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb5c9a51e in ThreadWeaver::ThreadRunHelper::run (this=0x9c71a300, parent=0x945c710, th=0x99632d8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/Thread.cpp:87
#10 0xb5c9ab5b in ThreadWeaver::Thread::run (this=0x99632d8) at /home/anselmo/projects/kde/trunk/src/kdelibs/threadweaver/Weaver/Thread.cpp:142
#11 0xb719c23f in QThreadPrivate::start (arg=0x99632d8) at thread/qthread_unix.cpp:244
#12 0xb6637450 in start_thread (arg=0x9c71ab70) at pthread_create.c:297
#13 0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 7 (Thread 0x981d5b70 (LWP 31015)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb6758ae1 in select () from /lib/libc.so.6
#2  0xb11ddd2a in xine_usec_sleep (usec=0) at utils.c:481
#3  0xb11c29ad in video_out_loop (this_gen=0x9376ea0) at video_out.c:1246
#4  0xb6637450 in start_thread (arg=0x981d5b70) at pthread_create.c:297
#5  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 6 (Thread 0x8fa3eb70 (LWP 31016)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x932f684, mutex=0x932f66c) at forward.c:139
#3  0xb11b8827 in fifo_buffer_get (fifo=0x932f658) at buffer.c:230
#4  0xb11be8c4 in video_decoder_loop (stream_gen=0xc895650) at video_decoder.c:130
#5  0xb6637450 in start_thread (arg=0x8fa3eb70) at pthread_create.c:297
#6  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0x8f23db70 (LWP 31017)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0x92dfd5c, mutex=0x92dfd44) at forward.c:139
#3  0xb11b8827 in fifo_buffer_get (fifo=0x92dfd30) at buffer.c:230
#4  0xb11bfb8c in audio_decoder_loop (stream_gen=0xc895650) at audio_decoder.c:66
#5  0xb6637450 in start_thread (arg=0x8f23db70) at pthread_create.c:297
#6  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0x8ea3cb70 (LWP 31018)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0xc8bf714, mutex=0xc8bf6fc) at forward.c:139
#3  0xb11c8ddf in xine_event_wait (queue=0xc8bf6f8) at events.c:55
#4  0xb11c8e79 in listener_loop (queue_gen=0xc8bf6f8) at events.c:214
#5  0xb6637450 in start_thread (arg=0x8ea3cb70) at pthread_create.c:297
#6  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0x8c4c2b70 (LWP 31028)):
#0  0xb7f5f424 in __kernel_vsyscall ()
#1  0xb663b145 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb676d06d in __pthread_cond_wait (cond=0xd040d40, mutex=0xd040d28) at forward.c:139
#3  0xb719d192 in QWaitCondition::wait (this=0xd040928, mutex=0xd040924, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb6ee529a in QFileInfoGatherer::run (this=0xd04091c) at dialogs/qfileinfogatherer.cpp:203
#5  0xb719c23f in QThreadPrivate::start (arg=0xd04091c) at thread/qthread_unix.cpp:244
#6  0xb6637450 in start_thread (arg=0x8c4c2b70) at pthread_create.c:297
#7  0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0x8bcc1b70 (LWP 31029)):
#0  0xb46973ea in clock_gettime (clock_id=1, tp=0x8bcc1068) at ../sysdeps/unix/clock_gettime.c:100
#1  0xb72c77f3 in qt_gettime () at kernel/qcore_unix.cpp:109
#2  0xb72cc83c in QTimerInfoList::updateCurrentTime (this=0xd039a24) at kernel/qeventdispatcher_unix.cpp:340
#3  0xb72cc88a in QTimerInfoList::timerWait (this=0xd039a24, tm=@0x8bcc10f4) at kernel/qeventdispatcher_unix.cpp:443
#4  0xb72ca932 in timerSourcePrepare (source=0xb469aff4, timeout=0x8bcc1148) at kernel/qeventdispatcher_glib.cpp:141
#5  0xb45f809f in IA__g_main_context_prepare (context=0xceed330, priority=0x8bcc11b8) at gmain.c:2144
#6  0xb45f8465 in g_main_context_iterate (context=0xceed330, block=1, dispatch=1, self=0xd039dc8) at gmain.c:2435
#7  0xb45f8919 in IA__g_main_context_iteration (context=0xceed330, may_block=1) at gmain.c:2518
#8  0xb72ca717 in QEventDispatcherGlib::processEvents (this=0xd02cfa8, flags={i = -1949560264}) at kernel/qeventdispatcher_glib.cpp:330
#9  0xb729c7ab in QEventLoop::processEvents (this=0x8bcc12ac, flags={i = -1949560200}) at kernel/qeventloop.cpp:149
#10 0xb729cc0a in QEventLoop::exec (this=0x8bcc12ac, flags={i = -1949560140}) at kernel/qeventloop.cpp:201
#11 0xb71993b9 in QThread::exec (this=0xd041310) at thread/qthread.cpp:487
#12 0xb727c7cc in QInotifyFileSystemWatcherEngine::run (this=0xd041310) at io/qfilesystemwatcher_inotify.cpp:248
#13 0xb719c23f in QThreadPrivate::start (arg=0xd041310) at thread/qthread_unix.cpp:244
#14 0xb6637450 in start_thread (arg=0x8bcc1b70) at pthread_create.c:297
#15 0xb675fa2e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb2e40720 (LWP 16559)):
[KCrash Handler]
#6  QGraphicsSceneFindItemBspTreeVisitor::visit (this=0x90b1ed0, items=0x9daf8ac) at graphicsview/qgraphicsscene_bsp.cpp:79
#7  0xb6ff77d2 in QGraphicsSceneBspTree::climbTree (this=0x90b1e10, visitor=0x90b1ed0, rect=@0xbfd5b458, index=73) at graphicsview/qgraphicsscene_bsp.cpp:247
#8  0xb6ff780d in QGraphicsSceneBspTree::climbTree (this=0x90b1e10, visitor=0x90b1ed0, rect=@0xbfd5b458, index=17) at graphicsview/qgraphicsscene_bsp.cpp:252
#9  0xb6ff780d in QGraphicsSceneBspTree::climbTree (this=0x90b1e10, visitor=0x90b1ed0, rect=@0xbfd5b458, index=3) at graphicsview/qgraphicsscene_bsp.cpp:252
#10 0xb6ff780d in QGraphicsSceneBspTree::climbTree (this=0x90b1e10, visitor=0x90b1ed0, rect=@0xbfd5b458, index=1) at graphicsview/qgraphicsscene_bsp.cpp:252
#11 0xb6ff784d in QGraphicsSceneBspTree::climbTree (this=0x90b1e10, visitor=0x90b1ed0, rect=@0xbfd5b458, index=0) at graphicsview/qgraphicsscene_bsp.cpp:261
#12 0xb6ff7920 in QGraphicsSceneBspTree::items (this=0x90b1e10, rect=@0xbfd5b458, onlyTopLevelItems=true) at graphicsview/qgraphicsscene_bsp.cpp:154
#13 0xb6ffb339 in QGraphicsSceneBspTreeIndexPrivate::estimateItems (this=0x90b1da8, rect=@0xbfd5b458, order=Qt::DescendingOrder, onlyTopLevelItems=true)
    at graphicsview/qgraphicsscenebsptreeindex.cpp:387
#14 0xb6ffb572 in QGraphicsSceneBspTreeIndex::estimateTopLevelItems (this=0x90b1d98, rect=@0xbfd5b458, order=Qt::DescendingOrder) at graphicsview/qgraphicsscenebsptreeindex.cpp:604
#15 0xb6fe7b03 in QGraphicsScenePrivate::drawItems (this=0x90b1bb0, painter=0xbfd5b6ec, viewTransform=0x0, exposedRegion=0x9164654, widget=0x9164ae0) at graphicsview/qgraphicsscene.cpp:4371
#16 0xb7008543 in QGraphicsView::paintEvent (this=0x9163958, event=0xbfd5bcd4) at graphicsview/qgraphicsview.cpp:3298
#17 0xb6a7b1c4 in QWidget::event (this=0x9163958, event=0xbfd5bcd4) at kernel/qwidget.cpp:8023
#18 0xb6dd8684 in QFrame::event (this=0x9163958, e=0xbfd5bcd4) at widgets/qframe.cpp:557
#19 0xb6e6a483 in QAbstractScrollArea::viewportEvent (this=0x9163958, e=0xcc) at widgets/qabstractscrollarea.cpp:1007
#20 0xb700b320 in QGraphicsView::viewportEvent (this=0x9163958, event=0xbfd5bcd4) at graphicsview/qgraphicsview.cpp:2698
#21 0xb6e6ca75 in QAbstractScrollAreaFilter::eventFilter (this=0x9163248, o=0x9164ae0, e=0xbfd5bcd4) at widgets/qabstractscrollarea_p.h:101
#22 0xb729d460 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x8506ac0, receiver=0x9164ae0, event=0xbfd5bcd4) at kernel/qcoreapplication.cpp:814
#23 0xb6a1fabf in QApplicationPrivate::notify_helper (this=0x8506ac0, receiver=0x9164ae0, e=0xbfd5bcd4) at kernel/qapplication.cpp:4149
#24 0xb6a29b79 in QApplication::notify (this=0xbfd5da78, receiver=0x9164ae0, e=0xbfd5bcd4) at kernel/qapplication.cpp:4118
#25 0xb7d7a90d in KApplication::notify (this=0xbfd5da78, receiver=0x9164ae0, event=0xbfd5bcd4) at /home/anselmo/projects/kde/trunk/src/kdelibs/kdeui/kernel/kapplication.cpp:302
#26 0xb729e1b2 in QCoreApplication::notifyInternal (this=0xbfd5da78, receiver=0x9164ae0, event=0xbfd5bcd4) at kernel/qcoreapplication.cpp:699
#27 0xb6a76fd3 in QWidgetPrivate::drawWidget (this=0x9164b28, pdev=0x85fe724, rgn=@0xbfd5bf00, offset=@0xbfd5bef8, flags=4, sharedPainter=0x0, backingStore=0x85ff860)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#28 0xb6a77a5d in QWidgetPrivate::paintSiblingsRecursive (this=0x91642e8, pdev=0x85fe724, siblings=@0x91642f4, index=2, rgn=@0xbfd5c1e0, offset=@0xbfd5c1d8, flags=4, sharedPainter=0x0, 
    backingStore=0x85ff860) at kernel/qwidget.cpp:5378
#29 0xb6a76ba8 in QWidgetPrivate::drawWidget (this=0x91642e8, pdev=0x85fe724, rgn=@0xbfd5c1e0, offset=@0xbfd5c1d8, flags=4, sharedPainter=0x0, backingStore=0x85ff860) at kernel/qwidget.cpp:5317
#30 0xb6a77a5d in QWidgetPrivate::paintSiblingsRecursive (this=0x90b1808, pdev=0x85fe724, siblings=@0x90b1814, index=1, rgn=@0xbfd5c320, offset=@0xbfd5c5f8, flags=4, sharedPainter=0x0, 
    backingStore=0x85ff860) at kernel/qwidget.cpp:5378
#31 0xb6a778c1 in QWidgetPrivate::paintSiblingsRecursive (this=0x90b1808, pdev=0x85fe724, siblings=@0x90b1814, index=2, rgn=@0xbfd5c600, offset=@0xbfd5c5f8, flags=4, sharedPainter=0x0, 
    backingStore=0x85ff860) at kernel/qwidget.cpp:5369
#32 0xb6a76ba8 in QWidgetPrivate::drawWidget (this=0x90b1808, pdev=0x85fe724, rgn=@0xbfd5c600, offset=@0xbfd5c5f8, flags=4, sharedPainter=0x0, backingStore=0x85ff860) at kernel/qwidget.cpp:5317
#33 0xb6a77a5d in QWidgetPrivate::paintSiblingsRecursive (this=0x914d660, pdev=0x85fe724, siblings=@0x914d66c, index=5, rgn=@0xbfd5c8e0, offset=@0xbfd5c8d8, flags=4, sharedPainter=0x0, 
    backingStore=0x85ff860) at kernel/qwidget.cpp:5378
#34 0xb6a76ba8 in QWidgetPrivate::drawWidget (this=0x914d660, pdev=0x85fe724, rgn=@0xbfd5c8e0, offset=@0xbfd5c8d8, flags=4, sharedPainter=0x0, backingStore=0x85ff860) at kernel/qwidget.cpp:5317
#35 0xb6a77a5d in QWidgetPrivate::paintSiblingsRecursive (this=0x85febc0, pdev=0x85fe724, siblings=@0x85febcc, index=1, rgn=@0xbfd5ca20, offset=@0x85ff884, flags=4, sharedPainter=0x0, 
    backingStore=0x85ff860) at kernel/qwidget.cpp:5378
#36 0xb6a778c1 in QWidgetPrivate::paintSiblingsRecursive (this=0x85febc0, pdev=0x85fe724, siblings=@0x85febcc, index=79, rgn=@0xbfd5cb60, offset=@0x85ff884, flags=4, sharedPainter=0x0, 
    backingStore=0x85ff860) at kernel/qwidget.cpp:5369
#37 0xb6a778c1 in QWidgetPrivate::paintSiblingsRecursive (this=0x85febc0, pdev=0x85fe724, siblings=@0x85febcc, index=80, rgn=@0xbfd5cca0, offset=@0x85ff884, flags=4, sharedPainter=0x0, 
    backingStore=0x85ff860) at kernel/qwidget.cpp:5369
#38 0xb6a778c1 in QWidgetPrivate::paintSiblingsRecursive (this=0x85febc0, pdev=0x85fe724, siblings=@0x85febcc, index=83, rgn=@0xbfd5d040, offset=@0x85ff884, flags=4, sharedPainter=0x0, 
    backingStore=0x85ff860) at kernel/qwidget.cpp:5369
#39 0xb6a76ba8 in QWidgetPrivate::drawWidget (this=0x85febc0, pdev=0x85fe724, rgn=@0xbfd5d040, offset=@0x85ff884, flags=4, sharedPainter=0x0, backingStore=0x85ff860) at kernel/qwidget.cpp:5317
#40 0xb6c120e9 in QWidgetBackingStore::sync (this=0x85ff860) at painting/qbackingstore.cpp:1288
#41 0xb6a6da55 in QWidgetPrivate::syncBackingStore (this=0x85febc0) at kernel/qwidget.cpp:1658
#42 0xb6a7ba18 in QWidget::event (this=0x85feb08, event=0xcef7278) at kernel/qwidget.cpp:8167
#43 0xb6df3e42 in QMainWindow::event (this=0x85feb08, event=0xcef7278) at widgets/qmainwindow.cpp:1429
#44 0xb7e63f17 in KMainWindow::event (this=0x85feb08, ev=0xcef7278) at /home/anselmo/projects/kde/trunk/src/kdelibs/kdeui/widgets/kmainwindow.cpp:1101
#45 0xb6a1fae4 in QApplicationPrivate::notify_helper (this=0x8506ac0, receiver=0x85feb08, e=0xcef7278) at kernel/qapplication.cpp:4153
#46 0xb6a29b79 in QApplication::notify (this=0xbfd5da78, receiver=0x85feb08, e=0xcef7278) at kernel/qapplication.cpp:4118
#47 0xb7d7a90d in KApplication::notify (this=0xbfd5da78, receiver=0x85feb08, event=0xcef7278) at /home/anselmo/projects/kde/trunk/src/kdelibs/kdeui/kernel/kapplication.cpp:302
#48 0xb729e1b2 in QCoreApplication::notifyInternal (this=0xbfd5da78, receiver=0x85feb08, event=0xcef7278) at kernel/qcoreapplication.cpp:699
#49 0xb729f0ee in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x84461e8) at kernel/qcoreapplication.h:215
#50 0xb729f29e in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1233
#51 0xb72cab20 in postEventSourceDispatch (s=0x84ff120) at kernel/qcoreapplication.h:220
#52 0xb45f50cf in IA__g_main_context_dispatch (context=0x84fed88) at gmain.c:1824
#53 0xb45f878b in g_main_context_iterate (context=0x84fed88, block=1, dispatch=1, self=0x8506958) at gmain.c:2455
#54 0xb45f8919 in IA__g_main_context_iteration (context=0x84fed88, may_block=1) at gmain.c:2518
#55 0xb72ca6f9 in QEventDispatcherGlib::processEvents (this=0x84f98f0, flags={i = -1076504680}) at kernel/qeventdispatcher_glib.cpp:328
#56 0xb6ab9ee6 in QGuiEventDispatcherGlib::processEvents (this=0x84f98f0, flags={i = -1076504632}) at kernel/qguieventdispatcher_glib.cpp:202
#57 0xb729c7ab in QEventLoop::processEvents (this=0xbfd5d840, flags={i = -1076504568}) at kernel/qeventloop.cpp:149
#58 0xb729cc0a in QEventLoop::exec (this=0xbfd5d840, flags={i = -1076504504}) at kernel/qeventloop.cpp:201
#59 0xb729f369 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:976
#60 0xb6a1f6a8 in QApplication::exec () at kernel/qapplication.cpp:3558
#61 0x080511c5 in main (argc=1, argv=0xbfd5e234) at /home/anselmo/projects/kde/trunk/src/extragear/multimedia/amarok/src/main.cpp:216

Reported using DrKonqi
Comment 1 Dario Andres 2009-09-16 04:01:11 UTC
Mh, the backtrace is mostly pure Qt and checking you are using 4.6.0, I would assume this is an UPSTREAM issue. As you can reproduce at will, may be a testcase could be made in order to report to Nokia. Thanks
Comment 2 Mikko C. 2009-09-16 08:50:46 UTC
*** Bug 207542 has been marked as a duplicate of this bug. ***
Comment 3 Mikko C. 2009-10-12 07:53:23 UTC
*** Bug 210245 has been marked as a duplicate of this bug. ***
Comment 4 Mark Kretschmann 2009-10-13 12:06:45 UTC
@Reporter: Do you happen to use the Bespin widget style?
Comment 5 Anselmo L. S. Melo (anselmolsm) 2009-10-13 15:44:29 UTC
(In reply to comment #4)
> @Reporter: Do you happen to use the Bespin widget style?

No, I use the Oxygen widget style.
Comment 6 simon 2009-10-14 17:36:35 UTC
same here, reproducable
Comment 7 Mikko C. 2009-10-14 17:57:33 UTC
ccing plasma-bugs, maybe they have an idea on what's going on?
Comment 8 Mark Kretschmann 2009-10-14 20:13:53 UTC
I do have Qt 4.6 (self-built) installed here locally, which I'm currently only using for specific applications. I'll try to test this with Amarok when I find some time.
Comment 9 Mark Kretschmann 2009-10-16 10:32:33 UTC
Qt developer said:

10:31 <thiago_home> try with the beta
Comment 10 simon 2009-10-16 12:57:07 UTC
also bugs out with the beta
Comment 11 Mark Kretschmann 2009-10-16 13:07:54 UTC
Awesome :)
Comment 12 simon 2009-10-16 13:27:56 UTC
oops - sorry for beeing unclear :(
it still crashes with beta ...
Comment 13 Mark Kretschmann 2009-10-16 13:34:14 UTC
Meh.
Comment 14 Mark Kretschmann 2009-10-17 13:32:01 UTC
Could someone open a bug report for this in Qt? Appears to be a Qt bug, and it would be rather uncool if we can't get it fixed in 4.6 final :)
Comment 15 Anselmo L. S. Melo (anselmolsm) 2009-10-18 07:05:01 UTC
I can't reproduce it anymore, using:

Qt 4.6.0 beta 1
kdelibs r1036877
Amarok hash c002066
Comment 16 Mikko C. 2009-10-18 09:27:51 UTC
Can someone else confirm it's fixed with the above revisions? :)
Comment 17 Myriam Schweingruber 2009-10-18 11:00:00 UTC
(In reply to comment #16)
> Can someone else confirm it's fixed with the above revisions? :)

Not according to comment #12. This should be filed against Qt. Simon, could you do this, please, since you have evidence that the bug still is in the beta?
Comment 18 Mikko C. 2009-10-18 11:11:21 UTC
(In reply to comment #17)
> 
> Not according to comment #12. This should be filed against Qt. Simon, could you
> do this, please, since you have evidence that the bug still is in the beta?

well, it could be a bug in plasma too, which would explain why Anselmo reported it's fixed if he's running kde trunk. Anyway, I'm upgrading to qt 4.6 and kde trunk: I'll report back.
Comment 19 Mark Kretschmann 2009-10-18 11:25:56 UTC
For your information, I've talked to Nokia's Alexis Menard (QGraphicsView developer). He wants to take a look at the issue soon.

He said it could be a Qt bug, but he's not yet sure. We'll see.
Comment 20 Mikko C. 2009-10-18 13:05:53 UTC
This crash is indeed still valid with Qt 4.6-beta1 + kde from trunk + amarok from master.

From what I understand with my 5 minutes testing, this only happens when the lyrics or wikipedia applet are enabled and Amarok is not minimized in the systray. Until Amarok stays minimized it won't crash. But as soon as I click the icon in the systray to bring it up, it crashes.
Comment 21 Anselmo L. S. Melo (anselmolsm) 2009-10-18 20:16:29 UTC
(In reply to comment #20) 
> From what I understand with my 5 minutes testing, this only happens when the
> lyrics or wikipedia applet are enabled and Amarok is not minimized in the
> systray. Until Amarok stays minimized it won't crash. But as soon as I click
> the icon in the systray to bring it up, it crashes.

This is what happened here when I reported the bug. Although it works for me, I think it still need a more accurate investigation. If I experience something related again, I'll report here.
Comment 22 Dmitry Suzdalev 2009-10-18 20:52:26 UTC
(In reply to comment #20)
> From what I understand with my 5 minutes testing, this only happens when the
> lyrics or wikipedia applet are enabled

Nope. I have only current track and photos applets in context view, but amarok still crashes.

Reproduced 100%. Basically I do the following:

1. Launch amarok
2. In collection tree find some song, add it to playlist
3. Start playing => it plays about 3 secs and then crashes.
Comment 23 Mikko C. 2009-10-20 12:07:00 UTC
*** Bug 211189 has been marked as a duplicate of this bug. ***
Comment 24 Mikko C. 2009-10-20 12:08:37 UTC
Basically all the applets that fetch content from internet will cause the crash: lyrics, wikipedia, photos, video. It won't crash with current track and albums applets.
Comment 25 Myriam Schweingruber 2009-10-21 09:45:41 UTC
*** Bug 211084 has been marked as a duplicate of this bug. ***
Comment 26 Mark Kretschmann 2009-10-21 18:36:22 UTC
Good news, everyone!

Alexis just let me know this:

17:37 <darktears> markey: i got it :D, i found the problem, deep in QGV, i need to write the fix and an auto-test tomorrow
17:38 <darktears> markey: one day and an half :s
Comment 27 Mark Kretschmann 2009-10-22 17:03:47 UTC
Extremely good news, everyone!

17:00 < darktears> the crash is fixed, it will pop in thr public repo soon


Please go ahead and test :)
Comment 28 Mark Kretschmann 2009-10-23 15:53:32 UTC
*** Bug 211482 has been marked as a duplicate of this bug. ***
Comment 29 Rosetzky Cedric 2009-10-25 00:51:42 UTC
Still crashing with Qt4.6 from Qt's git branch 4.6.

Backtrace :

Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 0 (LWP 27903)]

Thread 26 (Thread 0xaf36db90 (LWP 27904)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7fb2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401f34 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xb004f00b in ?? () from /usr/lib/libxine.so.1
#4  0x0826b110 in ?? ()
#5  0x0826b0f8 in ?? ()
#6  0xaf36d338 in ?? ()
#7  0xb720fce0 in ?? ()
#8  0xaf36d338 in ?? ()
#9  0xaf36d340 in ?? ()
#10 0x0826b0f8 in ?? ()
#11 0x0826b110 in ?? ()
#12 0x008276d2 in ?? ()
#13 0x00000000 in ?? ()

Thread 25 (Thread 0xaeb66b90 (LWP 27905)):
#0  0xb37b43ba in clock_gettime () from /lib/librt.so.1
#1  0xb73eb905 in qt_gettime () at kernel/qcore_unix.cpp:109
#2  0xb73f2d69 in QTimerInfoList::updateCurrentTime (this=0x821a9bc) at kernel/qeventdispatcher_unix.cpp:340
#3  0xb73f092f in timerSourceCheckHelper (src=0x821a988) at kernel/qeventdispatcher_glib.cpp:150
#4  0xb73f0996 in idleTimerSourceCheck (source=0x81ffbb8) at kernel/qeventdispatcher_glib.cpp:225
#5  0xb371424e in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#6  0xb3714b7d in ?? () from /usr/lib/libglib-2.0.so.0
#7  0x081ffca0 in ?? ()
#8  0x7fffffff in ?? ()
#9  0x08200698 in ?? ()
#10 0x00000001 in ?? ()
#11 0x00000001 in ?? ()
#12 0xb37ae768 in ?? () from /usr/lib/libglib-2.0.so.0
#13 0xb37ae398 in ?? () from /usr/lib/libglib-2.0.so.0
#14 0xb37ae3c0 in ?? () from /usr/lib/libglib-2.0.so.0
#15 0xaeb66164 in ?? ()
#16 0xb37ae3c0 in ?? () from /usr/lib/libglib-2.0.so.0
#17 0x081ffca4 in ?? ()
#18 0x00000001 in ?? ()
#19 0x081ffca0 in ?? ()
#20 0x0000003b in ?? ()
#21 0x08200698 in ?? ()
#22 0xb3721e30 in ?? () from /usr/lib/libglib-2.0.so.0
#23 0xb64020b0 in ?? () from /lib/libc.so.6
#24 0xb6402070 in ?? () from /lib/libc.so.6
#25 0x081ffca4 in ?? ()
#26 0xb6465ff4 in ?? () from /lib/libc.so.6
#27 0x081ffca0 in ?? ()
#28 0x0000003b in ?? ()
#29 0x7fffffff in ?? ()
#30 0xb37adff4 in ?? () from /usr/lib/libglib-2.0.so.0
#31 0x081ffca0 in ?? ()
#32 0xb6402070 in ?? () from /lib/libc.so.6
#33 0xaeb66198 in ?? ()
#34 0xb3714dd8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
Backtrace stopped: frame did not save the PC

Thread 24 (Thread 0xae313b90 (LWP 27906)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb005e04c in ?? () from /usr/lib/libxine.so.1
#4  0x082a0a48 in ?? ()
#5  0x082a0a30 in ?? ()
#6  0xae313278 in ?? ()
#7  0xb64020e6 in pthread_mutex_unlock () from /lib/libc.so.6
#8  0xb005ef97 in ?? () from /usr/lib/libxine.so.1
#9  0x082a0a30 in ?? ()
#10 0xae314008 in ?? ()
#11 0x000004e6 in ?? ()
#12 0x00000000 in ?? ()

Thread 23 (Thread 0xadac5b90 (LWP 27907)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb005e04c in ?? () from /usr/lib/libxine.so.1
#4  0x083c15b8 in ?? ()
#5  0x083c15a0 in ?? ()
#6  0x00000000 in ?? ()

Thread 22 (Thread 0xad282b90 (LWP 27908)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb005e04c in ?? () from /usr/lib/libxine.so.1
#4  0x084e22c8 in ?? ()
#5  0x084e22b0 in ?? ()
#6  0x00000000 in ?? ()

Thread 21 (Thread 0xaca3fb90 (LWP 27909)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb005e04c in ?? () from /usr/lib/libxine.so.1
#4  0x08602158 in ?? ()
#5  0x08602140 in ?? ()
#6  0x00000000 in ?? ()

Thread 20 (Thread 0xab8a0b90 (LWP 27911)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xabe318a5 in os_event_wait_low () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#4  0xabe2ec4d in os_aio_simulated_handle () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#5  0xabdf37bd in fil_aio_wait () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#6  0xabe67fc8 in io_handler_thread () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#7  0xb62a4170 in start_thread () from /lib/libpthread.so.0
#8  0xb63f5c6e in clone () from /lib/libc.so.6

Thread 19 (Thread 0xaa588b90 (LWP 27912)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xabe318a5 in os_event_wait_low () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#4  0xabe2ec4d in os_aio_simulated_handle () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#5  0xabdf37bd in fil_aio_wait () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#6  0xabe67fc8 in io_handler_thread () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#7  0xb62a4170 in start_thread () from /lib/libpthread.so.0
#8  0xb63f5c6e in clone () from /lib/libc.so.6

Thread 18 (Thread 0xa9d87b90 (LWP 27913)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xabe318a5 in os_event_wait_low () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#4  0xabe2ec4d in os_aio_simulated_handle () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#5  0xabdf37bd in fil_aio_wait () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#6  0xabe67fc8 in io_handler_thread () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#7  0xb62a4170 in start_thread () from /lib/libpthread.so.0
#8  0xb63f5c6e in clone () from /lib/libc.so.6

Thread 17 (Thread 0xa9586b90 (LWP 27914)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xabe318a5 in os_event_wait_low () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#4  0xabe2ec4d in os_aio_simulated_handle () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#5  0xabdf37bd in fil_aio_wait () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#6  0xabe67fc8 in io_handler_thread () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#7  0xb62a4170 in start_thread () from /lib/libpthread.so.0
#8  0xb63f5c6e in clone () from /lib/libc.so.6

Thread 16 (Thread 0xa80f5b90 (LWP 27916)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb63eefc1 in select () from /lib/libc.so.6
#2  0xabe31cfe in os_thread_sleep () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#3  0xabe64cbe in srv_lock_timeout_and_monitor_thread () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#4  0xb62a4170 in start_thread () from /lib/libpthread.so.0
#5  0xb63f5c6e in clone () from /lib/libc.so.6

Thread 15 (Thread 0xa78f4b90 (LWP 27917)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb63eefc1 in select () from /lib/libc.so.6
#2  0xabe31cfe in os_thread_sleep () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#3  0xabe63d26 in srv_error_monitor_thread () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#4  0xb62a4170 in start_thread () from /lib/libpthread.so.0
#5  0xb63f5c6e in clone () from /lib/libc.so.6

Thread 14 (Thread 0xa70f3b90 (LWP 27918)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xabe318a5 in os_event_wait_low () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#4  0xabe62fd2 in srv_master_thread () from /home/loacoon/Program-Files/KDE4/lib/kde4/amarok_collection-mysqlecollection.so
#5  0xb62a4170 in start_thread () from /lib/libpthread.so.0
#6  0xb63f5c6e in clone () from /lib/libc.so.6

Thread 13 (Thread 0xa5cc3b90 (LWP 27920)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb3ee2e9f in WTF::TCMalloc_PageHeap::scavengerThread () from /home/loacoon/Program-Files/KDE4/lib/libQtWebKit.so.4
#4  0xb3ee2f2b in WTF::TCMalloc_PageHeap::runScavengerThread () from /home/loacoon/Program-Files/KDE4/lib/libQtWebKit.so.4
#5  0xb62a4170 in start_thread () from /lib/libpthread.so.0
#6  0xb63f5c6e in clone () from /lib/libc.so.6

Thread 12 (Thread 0xa52f8b90 (LWP 27923)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb728e8b4 in QWaitConditionPrivate::wait (this=0x9001e80, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb728e3b3 in QWaitCondition::wait (this=0x9001ae0, mutex=0x9002000, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb557e29a in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9001ac8, th=0x9006c18)
    at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb5582fea in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x90020e0, th=0x9006c18)
    at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb557d8e9 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9001ac8, th=0x9006c18) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb5583107 in ThreadWeaver::WorkingHardState::applyForWork (this=0x90020e0, th=0x9006c18) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb557e508 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9001ac8, th=0x9006c18, previous=0x0) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb558312f in ThreadWeaver::WorkingHardState::applyForWork (this=0x90020e0, th=0x9006c18) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb557e508 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9001ac8, th=0x9006c18, previous=0x0) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb558312f in ThreadWeaver::WorkingHardState::applyForWork (this=0x90020e0, th=0x9006c18) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb557e508 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9001ac8, th=0x9006c18, previous=0x9020850)
    at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb5581081 in ThreadWeaver::ThreadRunHelper::run (this=0xa52f82f4, parent=0x9001ac8, th=0x9006c18) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/Thread.cpp:87
#15 0xb558125b in ThreadWeaver::Thread::run (this=0x9006c18) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/Thread.cpp:142
#16 0xb728de14 in QThreadPrivate::start (arg=0x9006c18) at thread/qthread_unix.cpp:244
#17 0xb62a4170 in start_thread () from /lib/libpthread.so.0
#18 0xb63f5c6e in clone () from /lib/libc.so.6

Thread 11 (Thread 0xa4af7b90 (LWP 27924)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb728e8b4 in QWaitConditionPrivate::wait (this=0x9001e80, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb728e3b3 in QWaitCondition::wait (this=0x9001ae0, mutex=0x9002000, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb557e29a in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9001ac8, th=0x90254e0)
    at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb5582fea in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x90020e0, th=0x90254e0)
    at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb557d8e9 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9001ac8, th=0x90254e0) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb5583107 in ThreadWeaver::WorkingHardState::applyForWork (this=0x90020e0, th=0x90254e0) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb557e508 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9001ac8, th=0x90254e0, previous=0x0) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb558312f in ThreadWeaver::WorkingHardState::applyForWork (this=0x90020e0, th=0x90254e0) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb557e508 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9001ac8, th=0x90254e0, previous=0x0) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb558312f in ThreadWeaver::WorkingHardState::applyForWork (this=0x90020e0, th=0x90254e0) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb557e508 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9001ac8, th=0x90254e0, previous=0x9375218)
    at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb5581081 in ThreadWeaver::ThreadRunHelper::run (this=0xa4af72f4, parent=0x9001ac8, th=0x90254e0) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/Thread.cpp:87
#15 0xb558125b in ThreadWeaver::Thread::run (this=0x90254e0) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/Thread.cpp:142
#16 0xb728de14 in QThreadPrivate::start (arg=0x90254e0) at thread/qthread_unix.cpp:244
#17 0xb62a4170 in start_thread () from /lib/libpthread.so.0
#18 0xb63f5c6e in clone () from /lib/libc.so.6

Thread 10 (Thread 0xa42f6b90 (LWP 27925)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb63eefc1 in select () from /lib/libc.so.6
#2  0xb738ab43 in QProcessManager::run (this=0xb7502470) at io/qprocess_unix.cpp:241
#3  0xb728de14 in QThreadPrivate::start (arg=0xb7502470) at thread/qthread_unix.cpp:244
#4  0xb62a4170 in start_thread () from /lib/libpthread.so.0
#5  0xb63f5c6e in clone () from /lib/libc.so.6

Thread 9 (Thread 0xa1483b90 (LWP 27929)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb728e8b4 in QWaitConditionPrivate::wait (this=0x9001e80, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb728e3b3 in QWaitCondition::wait (this=0x9001ae0, mutex=0x9002000, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb557e29a in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9001ac8, th=0x8efba60)
    at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb5582fea in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x90020e0, th=0x8efba60)
    at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb557d8e9 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9001ac8, th=0x8efba60) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb5583107 in ThreadWeaver::WorkingHardState::applyForWork (this=0x90020e0, th=0x8efba60) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb557e508 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9001ac8, th=0x8efba60, previous=0x0) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb558312f in ThreadWeaver::WorkingHardState::applyForWork (this=0x90020e0, th=0x8efba60) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb557e508 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9001ac8, th=0x8efba60, previous=0x0) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb558312f in ThreadWeaver::WorkingHardState::applyForWork (this=0x90020e0, th=0x8efba60) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb557e508 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9001ac8, th=0x8efba60, previous=0x8efde30)
    at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb5581081 in ThreadWeaver::ThreadRunHelper::run (this=0xa14832f4, parent=0x9001ac8, th=0x8efba60) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/Thread.cpp:87
#15 0xb558125b in ThreadWeaver::Thread::run (this=0x8efba60) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/Thread.cpp:142
#16 0xb728de14 in QThreadPrivate::start (arg=0x8efba60) at thread/qthread_unix.cpp:244
#17 0xb62a4170 in start_thread () from /lib/libpthread.so.0
#18 0xb63f5c6e in clone () from /lib/libc.so.6

Thread 8 (Thread 0xa0c82b90 (LWP 27930)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb728e8b4 in QWaitConditionPrivate::wait (this=0x9001e80, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  0xb728e3b3 in QWaitCondition::wait (this=0x9001ae0, mutex=0x9002000, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0xb557e29a in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x9001ac8, th=0x818d498)
    at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb5582fea in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x90020e0, th=0x818d498)
    at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb557d8e9 in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x9001ac8, th=0x818d498) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb5583107 in ThreadWeaver::WorkingHardState::applyForWork (this=0x90020e0, th=0x818d498) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb557e508 in ThreadWeaver::WeaverImpl::applyForWork (this=0x9001ac8, th=0x818d498, previous=0x92056d8)
    at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb5581081 in ThreadWeaver::ThreadRunHelper::run (this=0xa0c822f4, parent=0x9001ac8, th=0x818d498) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/Thread.cpp:87
#11 0xb558125b in ThreadWeaver::Thread::run (this=0x818d498) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/threadweaver/Weaver/Thread.cpp:142
#12 0xb728de14 in QThreadPrivate::start (arg=0x818d498) at thread/qthread_unix.cpp:244
#13 0xb62a4170 in start_thread () from /lib/libpthread.so.0
#14 0xb63f5c6e in clone () from /lib/libc.so.6

Thread 7 (Thread 0x9fc80b90 (LWP 27945)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb4fdf235 in WTF::TCMalloc_PageHeap::scavengerThread (this=0xb50d07c0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#4  0xb4fdf2c1 in WTF::TCMalloc_PageHeap::runScavengerThread (context=0xb50d07c0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#5  0xb62a4170 in start_thread () from /lib/libpthread.so.0
#6  0xb63f5c6e in clone () from /lib/libc.so.6

Thread 6 (Thread 0x9e47db90 (LWP 27954)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb63eefc1 in select () from /lib/libc.so.6
#2  0xb00777a9 in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0xb005c47d in ?? () from /usr/lib/libxine.so.1
#4  0x000003e8 in ?? ()
#5  0x00000000 in ?? ()

Thread 5 (Thread 0x9f47fb90 (LWP 27955)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb0052517 in ?? () from /usr/lib/libxine.so.1
#4  0x09209a04 in ?? ()
#5  0x092099ec in ?? ()
#6  0x00000000 in ?? ()

Thread 4 (Thread 0x9ec7eb90 (LWP 27956)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb0052517 in ?? () from /usr/lib/libxine.so.1
#4  0x09410604 in ?? ()
#5  0x094105ec in ?? ()
#6  0x9ec7e33c in ?? ()
#7  0xb6465ff4 in ?? () from /lib/libc.so.6
#8  0x09467e68 in ?? ()
#9  0x9ec7e344 in ?? ()
#10 0x094105ec in ?? ()
#11 0xb0088ff4 in ?? () from /usr/lib/libxine.so.1
#12 0xffffffff in ?? ()
#13 0x00000001 in ?? ()
#14 0x9ec7e358 in ?? ()
#15 0xb005969c in ?? () from /usr/lib/libxine.so.1
#16 0x094105d8 in ?? ()
#17 0x09467e68 in ?? ()
#18 0x9ec7e33c in ?? ()
#19 0x00000000 in ?? ()

Thread 3 (Thread 0xa0481b90 (LWP 27957)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7c85 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401edd in pthread_cond_wait () from /lib/libc.so.6
#3  0xb00628af in xine_event_wait () from /usr/lib/libxine.so.1
#4  0xb0062941 in ?? () from /usr/lib/libxine.so.1
#5  0x08ff86c8 in ?? ()
#6  0x092f1ae8 in ?? ()
#7  0xb6465ff4 in ?? () from /lib/libc.so.6
#8  0xb6464274 in ?? () from /lib/libc.so.6
#9  0x00000001 in ?? ()
#10 0x08ff86cc in ?? ()
#11 0x08ff8714 in ?? ()
#12 0xb62b2ff4 in ?? () from /lib/libpthread.so.0
#13 0x00000000 in ?? ()

Thread 2 (Thread 0x9420fb90 (LWP 27959)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb62a7fb2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6401f34 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xb728e89a in QWaitConditionPrivate::wait (this=0x9193b38, time=30000) at thread/qwaitcondition_unix.cpp:85
#4  0xb728e3b3 in QWaitCondition::wait (this=0x91926e4, mutex=0x91926e0, time=30000) at thread/qwaitcondition_unix.cpp:159
#5  0xb727eaa4 in QThreadPoolThread::run (this=0x8f6e420) at concurrent/qthreadpool.cpp:140
#6  0xb728de14 in QThreadPrivate::start (arg=0x8f6e420) at thread/qthread_unix.cpp:244
#7  0xb62a4170 in start_thread () from /lib/libpthread.so.0
#8  0xb63f5c6e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb1a7b730 (LWP 27903)):
[KCrash Handler]
#6  0xb6efe0fb in QGraphicsSceneFindItemBspTreeVisitor::visit (this=0x8d6c8b8, items=0x81789c4) at graphicsview/qgraphicsscene_bsp.cpp:79
#7  0xb6efb973 in QGraphicsSceneBspTree::climbTree (this=0x8d6c7f8, visitor=0x8d6c8b8, rect=@0xbfd9df00, index=148) at graphicsview/qgraphicsscene_bsp.cpp:247
#8  0xb6efba9f in QGraphicsSceneBspTree::climbTree (this=0x8d6c7f8, visitor=0x8d6c8b8, rect=@0xbfd9df00, index=73) at graphicsview/qgraphicsscene_bsp.cpp:263
#9  0xb6efb9b3 in QGraphicsSceneBspTree::climbTree (this=0x8d6c7f8, visitor=0x8d6c8b8, rect=@0xbfd9df00, index=36) at graphicsview/qgraphicsscene_bsp.cpp:252
#10 0xb6efba9f in QGraphicsSceneBspTree::climbTree (this=0x8d6c7f8, visitor=0x8d6c8b8, rect=@0xbfd9df00, index=17) at graphicsview/qgraphicsscene_bsp.cpp:263
#11 0xb6efb9b3 in QGraphicsSceneBspTree::climbTree (this=0x8d6c7f8, visitor=0x8d6c8b8, rect=@0xbfd9df00, index=8) at graphicsview/qgraphicsscene_bsp.cpp:252
#12 0xb6efbac4 in QGraphicsSceneBspTree::climbTree (this=0x8d6c7f8, visitor=0x8d6c8b8, rect=@0xbfd9df00, index=3) at graphicsview/qgraphicsscene_bsp.cpp:265
#13 0xb6efb9b3 in QGraphicsSceneBspTree::climbTree (this=0x8d6c7f8, visitor=0x8d6c8b8, rect=@0xbfd9df00, index=1) at graphicsview/qgraphicsscene_bsp.cpp:252
#14 0xb6efba5f in QGraphicsSceneBspTree::climbTree (this=0x8d6c7f8, visitor=0x8d6c8b8, rect=@0xbfd9df00, index=0) at graphicsview/qgraphicsscene_bsp.cpp:261
#15 0xb6efc8b0 in QGraphicsSceneBspTree::items (this=0x8d6c7f8, rect=@0xbfd9df00, onlyTopLevelItems=true) at graphicsview/qgraphicsscene_bsp.cpp:154
#16 0xb6f0064d in QGraphicsSceneBspTreeIndexPrivate::estimateItems (this=0x8d6c798, rect=@0xbfd9df00, order=Qt::AscendingOrder, onlyTopLevelItems=true)
    at graphicsview/qgraphicsscenebsptreeindex.cpp:387
#17 0xb6f007f9 in QGraphicsSceneBspTreeIndex::estimateTopLevelItems (this=0x8d6c788, rect=@0xbfd9df00, order=Qt::AscendingOrder) at graphicsview/qgraphicsscenebsptreeindex.cpp:540
#18 0xb6edf656 in QGraphicsScenePrivate::drawItems (this=0x8d6c590, painter=0xbfd9e110, viewTransform=0x0, exposedRegion=0x8de3fe4, widget=0x8de31a0) at graphicsview/qgraphicsscene.cpp:4498
#19 0xb6f10715 in QGraphicsView::paintEvent (this=0x8de25b8, event=0xbfd9eaa4) at graphicsview/qgraphicsview.cpp:3321
#20 0xb677053f in QWidget::event (this=0x8de25b8, event=0xbfd9eaa4) at kernel/qwidget.cpp:8072
#21 0xb6c43e70 in QFrame::event (this=0x8de25b8, e=0xbfd9eaa4) at widgets/qframe.cpp:557
#22 0xb6cf9998 in QAbstractScrollArea::viewportEvent (this=0x8de25b8, e=0xbfd9eaa4) at widgets/qabstractscrollarea.cpp:991
#23 0xb6f17b8a in QGraphicsView::viewportEvent (this=0x8de25b8, event=0xbfd9eaa4) at graphicsview/qgraphicsview.cpp:2721
#24 0xb6cfcc4e in QAbstractScrollAreaPrivate::viewportEvent (this=0x8de3c80, event=0xbfd9eaa4) at widgets/qabstractscrollarea_p.h:100
#25 0xb6cfcc7c in QAbstractScrollAreaFilter::eventFilter (this=0x8de05b8, o=0x8de31a0, e=0xbfd9eaa4) at widgets/qabstractscrollarea_p.h:116
#26 0xb73b2e7e in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x813c9a0, receiver=0x8de31a0, event=0xbfd9eaa4) at kernel/qcoreapplication.cpp:819
#27 0xb66f3d63 in QApplicationPrivate::notify_helper (this=0x813c9a0, receiver=0x8de31a0, e=0xbfd9eaa4) at kernel/qapplication.cpp:4245
#28 0xb66f6a64 in QApplication::notify (this=0xbfda0c4c, receiver=0x8de31a0, e=0xbfd9eaa4) at kernel/qapplication.cpp:4214
#29 0xb7ee1ecb in KApplication::notify (this=0xbfda0c4c, receiver=0x8de31a0, event=0xbfd9eaa4) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/kdeui/kernel/kapplication.cpp:302
#30 0xb73b53c0 in QCoreApplication::notifyInternal (this=0xbfda0c4c, receiver=0x8de31a0, event=0xbfd9eaa4) at kernel/qcoreapplication.cpp:704
#31 0xb67075bd in QCoreApplication::sendSpontaneousEvent (receiver=0x8de31a0, event=0xbfd9eaa4) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#32 0xb676ccc8 in QWidgetPrivate::drawWidget (this=0x8e15340, pdev=0x8cb4b8c, rgn=@0xbfd9ec08, offset=@0xbfd9ec54, flags=4, sharedPainter=0x0, backingStore=0x8c4fe90) at kernel/qwidget.cpp:5293
#33 0xb676d6e3 in QWidgetPrivate::paintSiblingsRecursive (this=0x8de3c80, pdev=0x8cb4b8c, siblings=@0x8de3c8c, index=1, rgn=@0xbfd9ee58, offset=@0xbfd9eea4, flags=4, sharedPainter=0x0, 
    backingStore=0x8c4fe90) at kernel/qwidget.cpp:5403
#34 0xb676d220 in QWidgetPrivate::drawWidget (this=0x8de3c80, pdev=0x8cb4b8c, rgn=@0xbfd9ee58, offset=@0xbfd9eea4, flags=4, sharedPainter=0x0, backingStore=0x8c4fe90) at kernel/qwidget.cpp:5342
#35 0xb676d6e3 in QWidgetPrivate::paintSiblingsRecursive (this=0x8d6c1e8, pdev=0x8cb4b8c, siblings=@0x8d6c1f4, index=0, rgn=@0xbfd9f0a8, offset=@0xbfd9f0f4, flags=4, sharedPainter=0x0, 
    backingStore=0x8c4fe90) at kernel/qwidget.cpp:5403
#36 0xb676d220 in QWidgetPrivate::drawWidget (this=0x8d6c1e8, pdev=0x8cb4b8c, rgn=@0xbfd9f0a8, offset=@0xbfd9f0f4, flags=4, sharedPainter=0x0, backingStore=0x8c4fe90) at kernel/qwidget.cpp:5342
#37 0xb676d6e3 in QWidgetPrivate::paintSiblingsRecursive (this=0x8dc3300, pdev=0x8cb4b8c, siblings=@0x8dc330c, index=4, rgn=@0xbfd9f2f8, offset=@0xbfd9f344, flags=4, sharedPainter=0x0, 
    backingStore=0x8c4fe90) at kernel/qwidget.cpp:5403
#38 0xb676d220 in QWidgetPrivate::drawWidget (this=0x8dc3300, pdev=0x8cb4b8c, rgn=@0xbfd9f2f8, offset=@0xbfd9f344, flags=4, sharedPainter=0x0, backingStore=0x8c4fe90) at kernel/qwidget.cpp:5342
#39 0xb676d6e3 in QWidgetPrivate::paintSiblingsRecursive (this=0x81e0d38, pdev=0x8cb4b8c, siblings=@0x81e0d44, index=88, rgn=@0xbfd9f610, offset=@0x8c4feb4, flags=4, sharedPainter=0x0, 
    backingStore=0x8c4fe90) at kernel/qwidget.cpp:5403
#40 0xb676d220 in QWidgetPrivate::drawWidget (this=0x81e0d38, pdev=0x8cb4b8c, rgn=@0xbfd9f610, offset=@0x8c4feb4, flags=5, sharedPainter=0x0, backingStore=0x8c4fe90) at kernel/qwidget.cpp:5342
#41 0xb698f9ef in QWidgetBackingStore::sync (this=0x8c4fe90) at painting/qbackingstore.cpp:1293
#42 0xb676529e in QWidgetPrivate::syncBackingStore (this=0x81e0d38) at kernel/qwidget.cpp:1657
#43 0xb6770b37 in QWidget::event (this=0x81f9278, event=0x932dce8) at kernel/qwidget.cpp:8218
#44 0xb6c694f3 in QMainWindow::event (this=0x81f9278, event=0x932dce8) at widgets/qmainwindow.cpp:1434
#45 0xb7fd5d4a in KMainWindow::event (this=0x81f9278, ev=0x932dce8) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/kdeui/widgets/kmainwindow.cpp:1101
#46 0xb66f3d86 in QApplicationPrivate::notify_helper (this=0x813c9a0, receiver=0x81f9278, e=0x932dce8) at kernel/qapplication.cpp:4249
#47 0xb66f6a64 in QApplication::notify (this=0xbfda0c4c, receiver=0x81f9278, e=0x932dce8) at kernel/qapplication.cpp:4214
#48 0xb7ee1ecb in KApplication::notify (this=0xbfda0c4c, receiver=0x81f9278, event=0x932dce8) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/kdeui/kernel/kapplication.cpp:302
#49 0xb73b53c0 in QCoreApplication::notifyInternal (this=0xbfda0c4c, receiver=0x81f9278, event=0x932dce8) at kernel/qcoreapplication.cpp:704
#50 0xb73ba465 in QCoreApplication::sendEvent (receiver=0x81f9278, event=0x932dce8) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#51 0xb73b594a in QCoreApplicationPrivate::sendPostedEvents (receiver=0x81f9278, event_type=77, data=0x8072660) at kernel/qcoreapplication.cpp:1345
#52 0xb73b5bdf in QCoreApplication::sendPostedEvents (receiver=0x81f9278, event_type=77) at kernel/qcoreapplication.cpp:1238
#53 0xb6efa9dd in QGraphicsViewPrivate::dispatchPendingUpdateRequests (this=0x8de3c80) at ../../include/QtGui/private/../../../src/gui/graphicsview/qgraphicsview_p.h:178
#54 0xb6eefe07 in QGraphicsScenePrivate::_q_processDirtyItems (this=0x8d6c590) at graphicsview/qgraphicsscene.cpp:486
#55 0xb6ef007d in QGraphicsScene::qt_metacall (this=0x8d6c4f0, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0x9079068) at .moc/debug-shared/moc_qgraphicsscene.cpp:128
#56 0xb534e7ae in Plasma::Corona::qt_metacall (this=0x8d6c4f0, _c=QMetaObject::InvokeMetaMethod, _id=18, _a=0x9079068)
    at /home/loacoon/Documents/Downloads/SVN/KDE4/build/kdelibs/plasma/corona.moc:107
#57 0xb788add4 in Context::ContextScene::qt_metacall (this=0x8d6c4f0, _c=QMetaObject::InvokeMetaMethod, _id=18, _a=0x9079068) at /home/loacoon/Documents/Downloads/SVN/Amarok/src/ContextScene.moc:70
#58 0xb73bcceb in QMetaObject::metacall (object=0x8d6c4f0, cl=QMetaObject::InvokeMetaMethod, idx=18, argv=0x9079068) at kernel/qmetaobject.cpp:237
#59 0xb73ca271 in QMetaCallEvent::placeMetaCall (this=0x938e418, object=0x8d6c4f0) at kernel/qobject.cpp:562
#60 0xb73cc1f7 in QObject::event (this=0x8d6c4f0, e=0x938e418) at kernel/qobject.cpp:1238
#61 0xb6eec812 in QGraphicsScene::event (this=0x8d6c4f0, event=0x938e418) at graphicsview/qgraphicsscene.cpp:3388
#62 0xb66f3d86 in QApplicationPrivate::notify_helper (this=0x813c9a0, receiver=0x8d6c4f0, e=0x938e418) at kernel/qapplication.cpp:4249
#63 0xb66f41e1 in QApplication::notify (this=0xbfda0c4c, receiver=0x8d6c4f0, e=0x938e418) at kernel/qapplication.cpp:3673
#64 0xb7ee1ecb in KApplication::notify (this=0xbfda0c4c, receiver=0x8d6c4f0, event=0x938e418) at /home/loacoon/Documents/Downloads/SVN/KDE4/KDE/kdelibs/kdeui/kernel/kapplication.cpp:302
#65 0xb73b53c0 in QCoreApplication::notifyInternal (this=0xbfda0c4c, receiver=0x8d6c4f0, event=0x938e418) at kernel/qcoreapplication.cpp:704
#66 0xb73ba465 in QCoreApplication::sendEvent (receiver=0x8d6c4f0, event=0x938e418) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#67 0xb73b594a in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8072660) at kernel/qcoreapplication.cpp:1345
#68 0xb73b5bdf in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1238
#69 0xb73f1788 in QCoreApplication::sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#70 0xb73f0767 in postEventSourceDispatch (s=0x8140500) at kernel/qeventdispatcher_glib.cpp:276
#71 0xb3711651 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#72 0xb3714c53 in ?? () from /usr/lib/libglib-2.0.so.0
#73 0x08140478 in ?? ()
#74 0x00000000 in ?? ()
Comment 30 Mark Kretschmann 2009-10-25 05:02:37 UTC
That's because the patch is not yet pushed to master. Wait until Monday or so.
Comment 31 Mark Kretschmann 2009-10-25 05:03:56 UTC
*** Bug 211716 has been marked as a duplicate of this bug. ***
Comment 32 Tomas Vavra 2009-10-25 19:03:24 UTC
Hi Mark,

Fix will be done in QT (I hope that I understand correctly) and will be available in git of QT. Can you tell in which branch?

Thanks
Comment 33 Mark Kretschmann 2009-10-25 19:08:17 UTC
@Tomas: I assume in 4.6-stable.
Comment 34 Rosetzky Cedric 2009-10-25 19:10:52 UTC
what's the difference between 4.6-stable and 4.6? 4.6 seems to be updated more often...
Comment 35 Tomas Vavra 2009-10-25 19:13:02 UTC
I am asking because I started test master branch and there is version 4.7 and it will mean for me step back and recompile everything :-(
Comment 36 Rosetzky Cedric 2009-10-25 19:15:03 UTC
You should, 'master' is the 'experimental' branch, sort of... it's a little like trunk for KDE.
Comment 37 Mark Kretschmann 2009-10-25 19:18:11 UTC
@Rosetzky: I don't really  know, I can only guess that they push the "really really stable" commits to that branch. Kind of a safety net. Ask on #qt-labs (irc.freenode.net) to be sure.
Comment 38 Rosetzky Cedric 2009-10-25 19:19:12 UTC
Ok, thank you ;). I'm waiting for the commit, I'll let you know.
Comment 39 Mark Kretschmann 2009-10-25 19:22:35 UTC
*** Bug 211816 has been marked as a duplicate of this bug. ***
Comment 40 Rosetzky Cedric 2009-10-27 20:13:18 UTC
Still crashing today. By the way, I can't compile Amarok since yesterday. It says that Qt-Script generator isn't installed, but it is...
Comment 41 Rosetzky Cedric 2009-10-27 23:30:23 UTC
Forget about Qt-script... it xas some strange Portage behavior... works now...... but still crashing :P.
Comment 42 Mark Kretschmann 2009-11-04 09:39:14 UTC
*** Bug 213040 has been marked as a duplicate of this bug. ***
Comment 43 Rosetzky Cedric 2009-11-04 13:58:14 UTC
Seems fixed in Qt git, but there are some graphical glitches remaining.
Comment 44 Mark Kretschmann 2009-11-04 19:09:57 UTC
Great, thanks for the confirmation, Rosetzky Cedric.

As for these graphical glitches, please open a new bug report, either in Amarok or Qt. Assuming that it's another Qt bug, the Qt bug tracker would probably be more adequate.

And if you do, please add a note here, linking to the report. We happen to have direct connections to some Qt developers, so we might be able to help them solve it.
Comment 45 Rosetzky Cedric 2009-11-04 19:14:22 UTC
Ok, I'll update, try again and report any bug/glitch I find ;).
Comment 46 simon 2009-11-07 20:07:25 UTC
still get the crash with qt4.6.9999 stable-branch

@cedric:
you have the link to the qt commit?
Comment 47 Rosetzky Cedric 2009-11-07 20:09:42 UTC
Not to the exact commit, didn't do a regression test, sorry. But I'm not using the 4.6-stable branch, but the 4.6 branch. Commits are coming later in the 4.6-stable branch, once they are tested in the 4.6 branch I think.
Comment 48 Mikko C. 2009-11-14 19:37:52 UTC
*** Bug 214563 has been marked as a duplicate of this bug. ***
Comment 49 Mark Kretschmann 2009-11-23 07:07:32 UTC
*** Bug 215772 has been marked as a duplicate of this bug. ***
Comment 50 Myriam Schweingruber 2011-02-18 20:05:42 UTC
*** Bug 266500 has been marked as a duplicate of this bug. ***
Comment 51 Kevin Funk 2011-02-18 22:24:43 UTC
*** Bug 266531 has been marked as a duplicate of this bug. ***
Comment 52 Myriam Schweingruber 2011-02-21 23:11:06 UTC
*** Bug 266854 has been marked as a duplicate of this bug. ***
Comment 53 Myriam Schweingruber 2011-02-21 23:12:02 UTC
Setting status correctly.
Comment 54 Myriam Schweingruber 2011-04-14 12:01:14 UTC
Could somebody please report this upstream again, as it seems to be back with Qt 4.7.2
Comment 55 Myriam Schweingruber 2011-04-14 12:02:10 UTC
*** Bug 270871 has been marked as a duplicate of this bug. ***
Comment 56 Dominic Lyons 2011-06-15 22:22:40 UTC
Created attachment 61037 [details]
New crash information added by DrKonqi

amarok (2.4.1) on KDE Platform 4.6.4 (4.6.4) using Qt 4.7.2

Is this the Qt bug (again)?


- Unusual behavior I noticed:

virtuoso-t was running on about 210% cpu load (taking 2 cpu cores and a bit of another one with nice set to idle).

-- Backtrace (Reduced):
#6  QGraphicsSceneFindItemBspTreeVisitor::visit (this=0x3522020, items=0x4372dc8) at graphicsview/qgraphicsscene_bsp.cpp:79
#7  0x00007f2ca4adcca0 in QGraphicsSceneBspTree::climbTree (this=0x3521f60, visitor=0x3522020, rect=..., index=<value optimized out>) at graphicsview/qgraphicsscene_bsp.cpp:252
#8  0x00007f2ca4adcc00 in QGraphicsSceneBspTree::climbTree (this=0x3521f60, visitor=0x3522020, rect=..., index=<value optimized out>) at graphicsview/qgraphicsscene_bsp.cpp:261
#9  0x00007f2ca4adcc00 in QGraphicsSceneBspTree::climbTree (this=0x3521f60, visitor=0x3522020, rect=..., index=<value optimized out>) at graphicsview/qgraphicsscene_bsp.cpp:261
#10 0x00007f2ca4add36e in QGraphicsSceneBspTree::items (this=<value optimized out>, rect=<value optimized out>, onlyTopLevelItems=<value optimized out>) at graphicsview/qgraphicsscene_bsp.cpp:154
Comment 57 Rick W. Chen 2011-06-15 23:52:42 UTC
upstream bug report: http://bugreports.qt.nokia.com/browse/QTBUG-18021
Comment 58 Dominic Lyons 2011-06-16 00:00:30 UTC
Thank you for the link
Comment 59 Daniel Faust 2011-08-08 14:14:09 UTC
Git commit 30f670f11a130e1bd9a7eb60865dc4f67431ecd9 by Daniel Faust.
Committed on 08/08/2011 at 16:10.
Pushed by dfaust into branch 'master'.

Use QGraphicsScene::NoIndex instead of QGraphicsScene::BspTreeIndex (avoid Qt bug crashing amarok)

BUG: 207382
BUG: 269227
FIXED-IN: 2.4.4

M  +2    -1    src/context/ContextView.cpp
M  +1    -0    ChangeLog

http://commits.kde.org/amarok/30f670f11a130e1bd9a7eb60865dc4f67431ecd9
Comment 60 Myriam Schweingruber 2011-08-08 21:41:07 UTC
*** Bug 279621 has been marked as a duplicate of this bug. ***
Comment 61 Myriam Schweingruber 2011-08-17 19:58:26 UTC
*** Bug 280216 has been marked as a duplicate of this bug. ***
Comment 62 Myriam Schweingruber 2011-10-27 17:43:55 UTC
*** Bug 285085 has been marked as a duplicate of this bug. ***
Comment 63 Myriam Schweingruber 2011-11-15 21:55:54 UTC
*** Bug 285594 has been marked as a duplicate of this bug. ***
Comment 64 Myriam Schweingruber 2011-11-17 20:30:45 UTC
*** Bug 286865 has been marked as a duplicate of this bug. ***
Comment 65 Myriam Schweingruber 2011-11-20 22:11:08 UTC
*** Bug 287066 has been marked as a duplicate of this bug. ***
Comment 66 Myriam Schweingruber 2012-01-31 15:11:40 UTC
*** Bug 292939 has been marked as a duplicate of this bug. ***
Comment 67 Tristan 2012-02-07 00:16:59 UTC
Created attachment 68582 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:

Right-clicked on the Wikipedia's applet titlebar and selected Remove this Wikipedia

-- Backtrace (Reduced):
#7  0xb66736ea in QGraphicsSceneFindItemBspTreeVisitor::visit (this=0xd208258, items=0x9562ef8) at graphicsview/qgraphicsscene_bsp.cpp:79
#8  0xb667219c in QGraphicsSceneBspTree::climbTree (this=0x997a550, visitor=0xd208258, rect=..., index=135) at graphicsview/qgraphicsscene_bsp.cpp:247
#9  0xb6672218 in QGraphicsSceneBspTree::climbTree (this=0x997a550, visitor=0xd208258, rect=..., index=67) at graphicsview/qgraphicsscene_bsp.cpp:261
#10 0xb66721d5 in QGraphicsSceneBspTree::climbTree (this=0x997a550, visitor=0xd208258, rect=..., index=33) at graphicsview/qgraphicsscene_bsp.cpp:252
#11 0xb6672218 in QGraphicsSceneBspTree::climbTree (this=0x997a550, visitor=0xd208258, rect=..., index=7) at graphicsview/qgraphicsscene_bsp.cpp:261
Comment 68 Myriam Schweingruber 2012-02-09 21:23:24 UTC
Tristan, this is already fixed in Amarok 2.5, please upgrade. Adding information to an already fixed bug from a previous version is not helpful.